Bug 117553 - Footnote navigation when in footnote text is inconsistent
Summary: Footnote navigation when in footnote text is inconsistent
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
unspecified
Hardware: All All
: medium normal
Assignee: Jim Raykowski
URL:
Whiteboard: target:6.2.0 target:6.1.1
Keywords:
Depends on:
Blocks: Footnote-Endnote Find-Toolbar
  Show dependency treegraph
 
Reported: 2018-05-10 20:24 UTC by Jim Raykowski
Modified: 2018-08-08 09:08 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Jim Raykowski 2018-05-10 20:24:11 UTC
When in the footnote text area, footnote navigation next always moves to the first footnote anchor in the document and previous does nothing.

Steps to reproduce:

1) create or open a document with footnotes
2) open Findbar View->Toobars->Find or Ctrl-F
3) click on a footnote anchor in the document
cursor moves to footnote text
4) select Footnote in the Findbar Navigate By dropdown
5) click on the 'Previous footnote' button
result: nothing happens
6) click on the 'Next footnote' button
result: cursor moves to first footnote anchor in document

expected results: Maybe either move to the previous or next footnote anchor in the document or to the previous or next footnote text or do nothing?
Comment 1 Dieter Praas 2018-05-13 09:58:46 UTC
I confirm this behaviour with

Version: 6.1.0.0.alpha1+ (x64)
Build ID: 775d0f26beecffccf3ed27a6a011aff20d91f842
CPU threads: 4; OS: Windows 10.0; UI render: default; 
TinderBox: Win-x86_64@42, Branch:master, Time: 2018-04-26_01:05:25
Locale: en-US (de_DE); Calc: CL
Comment 2 Jim Raykowski 2018-05-13 16:43:21 UTC
Here is a patch that moves to the prev/next footnote text:

https://gerrit.libreoffice.org/#/c/54195/
Comment 3 Commit Notification 2018-06-13 07:12:31 UTC
Jim Raykowski committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=215e5adf4977a175bb8cc89dcbd48ef443ac8f10

tdf#117553 Change navigate behavior when in footnote frame

It will be available in 6.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 4 Xisco Faulí 2018-07-16 18:21:55 UTC
A polite ping to Jim Raykowski :
Is this bug fixed? if so, could you please close it as RESOLVED FIXED ? Otherwise, Could you please explain what's missing?

OTOH, should it be backported to 6-1 branch ?

Thanks
Comment 5 Jim Raykowski 2018-07-16 22:13:52 UTC
Yes this works in current build of 6.2.0.0.alpha0+

Backport away :-)
Comment 6 Jim Raykowski 2018-07-29 18:48:24 UTC
Xisco thanks for the tip on being able to use gerrit directly to backport. I will try to do that with this patch.
Comment 7 Jim Raykowski 2018-07-29 22:39:42 UTC
I wasn't able to see how to do this directly from https://gerrit.libreoffice.org/#/c/54195/

This the patch checked out locally would logerrit submit libreoffice-6-1 and logerrit submit libreoffice-6-1-0 work?
Comment 8 Xisco Faulí 2018-07-30 08:35:33 UTC
(In reply to Jim Raykowski from comment #7)
> I wasn't able to see how to do this directly from
> https://gerrit.libreoffice.org/#/c/54195/
> 
> This the patch checked out locally would logerrit submit libreoffice-6-1 and
> logerrit submit libreoffice-6-1-0 work?

so, I went to that page, I clicked on 'cherry-pick' and then I wrote 'libreoffice-6-1', if there's no merge conflict, it should work right away: 

https://gerrit.libreoffice.org/#/c/58304/
Comment 9 Commit Notification 2018-08-08 09:08:43 UTC
Jim Raykowski committed a patch related to this issue.
It has been pushed to "libreoffice-6-1":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=bb43add6896e9689c08c191f6ab6d87c420b0584&h=libreoffice-6-1

tdf#117553 Change navigate behavior when in footnote frame

It will be available in 6.1.1.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.